﻿Type=Activity
Version=5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private ph As Phone
	Dim DOWNLOAD_ADDRESS As String
   	Dim DOWNLOAD_FILENAME As String
	Dim DownloadId As Long
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim Button2 As Button
	Dim Button3 As Button
	Dim DownloadManager1 As DownloadManager
	Dim Label1 As Label
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("TroubleShooting")
	DownloadManager1.RegisterReceiver("DownloadManager1")
	If Utils.IsInitialized=False Then
      Utils.Initialize(DownloadManager1)
   	End If
	Label1.Text = "ECO8X"
End Sub

Sub Activity_Resume
    ph.SetScreenOrientation(1)
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Button1_Click
	DOWNLOAD_ADDRESS = "http://retail.nesscorporation.com.au/PDF/ECO8xQuickReference.pdf"
   	DOWNLOAD_FILENAME = "ECO8XInstallerGuide.pdf"
	Dim DownloadManagerRequest1 As DownloadManagerRequest
   	DownloadManagerRequest1.Initialize(DOWNLOAD_ADDRESS)
   	DownloadManagerRequest1.Description="ECO8X Quick Reference"
   '   save the download to external memory
   '   note you must manually update your project's manifest file adding android.permission.WRITE_EXTERNAL_STORAGE
   	DownloadManagerRequest1.DestinationUri="file://"&File.Combine(File.DirRootExternal, DOWNLOAD_FILENAME)
   	DownloadManagerRequest1.Title=DOWNLOAD_FILENAME
   	DownloadManagerRequest1.VisibleInDownloadsUi=True
   
   DownloadId=DownloadManager1.Enqueue(DownloadManagerRequest1)
End Sub
Sub Button2_Click
	DOWNLOAD_ADDRESS = "http://nesscorporation.com/InstallationManual/Ness_ECO8x_installer_manual.pdf"
   	DOWNLOAD_FILENAME = "ECO8XInstallerGuide.pdf"
	Dim DownloadManagerRequest1 As DownloadManagerRequest
   	DownloadManagerRequest1.Initialize(DOWNLOAD_ADDRESS)
   	DownloadManagerRequest1.Description="ECO8X Installer"
   '   save the download to external memory
   '   note you must manually update your project's manifest file adding android.permission.WRITE_EXTERNAL_STORAGE
   	DownloadManagerRequest1.DestinationUri="file://"&File.Combine(File.DirRootExternal, DOWNLOAD_FILENAME)
   	DownloadManagerRequest1.Title=DOWNLOAD_FILENAME
   	DownloadManagerRequest1.VisibleInDownloadsUi=True
   
   DownloadId=DownloadManager1.Enqueue(DownloadManagerRequest1)
End Sub
Sub Button3_Click
	DOWNLOAD_ADDRESS = "http://nesscorporation.com/UserManual/Ness_ECO8x_user_manual.pdf"
   	DOWNLOAD_FILENAME = "ECO8XUserGuide.pdf"
	Dim DownloadManagerRequest1 As DownloadManagerRequest
   	DownloadManagerRequest1.Initialize(DOWNLOAD_ADDRESS)
   	DownloadManagerRequest1.Description="ECO8X User"
   '   save the download to external memory
   '   note you must manually update your project's manifest file adding android.permission.WRITE_EXTERNAL_STORAGE
   	DownloadManagerRequest1.DestinationUri="file://"&File.Combine(File.DirRootExternal, DOWNLOAD_FILENAME)
   	DownloadManagerRequest1.Title=DOWNLOAD_FILENAME
   	DownloadManagerRequest1.VisibleInDownloadsUi=True
   
   DownloadId=DownloadManager1.Enqueue(DownloadManagerRequest1)
End Sub
Sub Button4_Click
	StartActivity("ECO8XListView")
End Sub
Sub DownloadManager1_DownloadComplete(DownloadId1 As Long)
   '   this does not guarantee that the download has actually successfully downloaded
   '   it means a DownloadMananger DownloadManagerRequest has completed
   '   we need to find that status of that request but only if that request matches the request we started
   If DownloadId=DownloadId1 Then
      '   this is the download request we started
      '   query the DownloadManager for info on this request
      Dim DownloadManagerQuery1 As DownloadManagerQuery
      DownloadManagerQuery1.Initialize
      DownloadManagerQuery1.SetFilterById(DownloadId)
      
      '   you must enable the SQL library to work with the Cursor object
      Dim StatusCursor As Cursor
      '   pass our DownloadManagerQuery to the DownloadManager
      StatusCursor=DownloadManager1.Query(DownloadManagerQuery1)
      If StatusCursor.RowCount>0 Then
         StatusCursor.Position=0   
         
         Dim StatusInt As Int
         StatusInt=StatusCursor.getInt(DownloadManager1.COLUMN_STATUS)
         Log("Download Status = "&Utils.GetStatusText(StatusInt))

         If StatusInt=DownloadManager1.STATUS_FAILED Or StatusInt=DownloadManager1.STATUS_PAUSED Then
            Dim ReasonInt As Int
            ReasonInt=StatusCursor.GetInt(DownloadManager1.COLUMN_REASON)
            Log("Status Reason = "&Utils.GetReasonText(ReasonInt))
         End If
         
         If StatusInt=DownloadManager1.STATUS_SUCCESSFUL Then
            Dim intent1 As Intent
			intent1.Initialize(intent1.ACTION_VIEW, "file://"&File.Combine(File.DirRootExternal, DOWNLOAD_FILENAME))
			intent1.SetType("application/pdf")
			intent1.WrapAsIntentChooser("Choose PDF Viewer")
			StartActivity(intent1)
         End If
         
      Else
         '   always check that the Cursor returned from the DownloadManager Query method is not empty
         Log("The DownloadManager has no trace of our request, it could have been cancelled by the user using the Android Downloads app or an unknown error has occurred.")
      End If
      
      StatusCursor.Close
      StopService("")
   End If
End Sub
Sub Button15_Click
	Activity.Finish
End Sub
Sub Button11_Click
	StartActivity("Contact")
End Sub