﻿Type=Activity
Version=5
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: False
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.
	Private ph As Phone
	Dim DOWNLOAD_ADDRESS As String
   	Dim DOWNLOAD_FILENAME As String
	Dim DownloadId As Long
End Sub

Sub Globals
	'These global variables will be redeclared each time the activity is created.
	'These variables can only be accessed from this module.
	Dim Label1 As Label
	Dim DownloadManager1 As DownloadManager
End Sub

Sub Activity_Create(FirstTime As Boolean)
	'Do not forget to load the layout file created with the visual designer. For example:
	Activity.LoadLayout("D8xD16xNavigatorKeypad")
	DownloadManager1.RegisterReceiver("DownloadManager1")
	If Utils.IsInitialized=False Then
      Utils.Initialize(DownloadManager1)
   	End If
	Label1.Text = "D16x Navigator Keypad"
End Sub

Sub Activity_Resume
	ph.SetScreenOrientation(1)
End Sub

Sub Activity_Pause (UserClosed As Boolean)

End Sub

Sub Button1_Click
	DOWNLOAD_ADDRESS = "http://nesscorporation.com/InstallationManual/Ness_D8xD16x_Navigator_installation_manual.pdf"
   	DOWNLOAD_FILENAME = "D16xNavigatorInstallerManual.pdf"
	Dim DownloadManagerRequest1 As DownloadManagerRequest
   	DownloadManagerRequest1.Initialize(DOWNLOAD_ADDRESS)
   	DownloadManagerRequest1.Description="D16x Navigator Installer Manual"
   '   save the download to external memory
   '   note you must manually update your project's manifest file adding android.permission.WRITE_EXTERNAL_STORAGE
   	DownloadManagerRequest1.DestinationUri="file://"&File.Combine(File.DirRootExternal, DOWNLOAD_FILENAME)
   	DownloadManagerRequest1.Title=DOWNLOAD_FILENAME
   	DownloadManagerRequest1.VisibleInDownloadsUi=True
   	DownloadId = DownloadManager1.Enqueue(DownloadManagerRequest1)
End Sub
Sub Button5_Click
	DOWNLOAD_ADDRESS = "http://nesscorporation.com/Brochure/Ness_KP_compatibility.pdf"
   	DOWNLOAD_FILENAME = "D16xNavigatorCrossReference.pdf"
	Dim DownloadManagerRequest1 As DownloadManagerRequest
   	DownloadManagerRequest1.Initialize(DOWNLOAD_ADDRESS)
   	DownloadManagerRequest1.Description="D16x Navigator Cross Reference"
   '   save the download to external memory
   '   note you must manually update your project's manifest file adding android.permission.WRITE_EXTERNAL_STORAGE
   	DownloadManagerRequest1.DestinationUri="file://"&File.Combine(File.DirRootExternal, DOWNLOAD_FILENAME)
   	DownloadManagerRequest1.Title=DOWNLOAD_FILENAME
   	DownloadManagerRequest1.VisibleInDownloadsUi=True
    DownloadId = DownloadManager1.Enqueue(DownloadManagerRequest1)
End Sub
Sub DownloadManager1_DownloadComplete(DownloadId1 As Long)
   '   this does not guarantee that the download has actually successfully downloaded
   '   it means a DownloadMananger DownloadManagerRequest has completed
   '   we need to find that status of that request but only if that request matches the request we started
   
   If DownloadId=DownloadId1 Then
      '   this is the download request we started
      '   query the DownloadManager for info on this request
      Dim DownloadManagerQuery1 As DownloadManagerQuery
      DownloadManagerQuery1.Initialize
      DownloadManagerQuery1.SetFilterById(DownloadId)
      
      '   you must enable the SQL library to work with the Cursor object
      Dim StatusCursor As Cursor
      '   pass our DownloadManagerQuery to the DownloadManager
      StatusCursor=DownloadManager1.Query(DownloadManagerQuery1)
      If StatusCursor.RowCount>0 Then
         StatusCursor.Position=0   
         
         Dim StatusInt As Int
         StatusInt=StatusCursor.getInt(DownloadManager1.COLUMN_STATUS)
         Log("Download Status = "&Utils.GetStatusText(StatusInt))

         If StatusInt=DownloadManager1.STATUS_FAILED Or StatusInt=DownloadManager1.STATUS_PAUSED Then
            Dim ReasonInt As Int
            ReasonInt=StatusCursor.GetInt(DownloadManager1.COLUMN_REASON)
            Log("Status Reason = "&Utils.GetReasonText(ReasonInt))
         End If
         
      Else
         '   always check that the Cursor returned from the DownloadManager Query method is not empty
         Log("The DownloadManager has no trace of our request, it could have been cancelled by the user using the Android Downloads app or an unknown error has occurred.")
      End If
      
      '   free system resources
      StatusCursor.Close
      DownloadManager1.UnregisterReceiver
   End If
   
End Sub
Sub Button15_Click
	Activity.Finish
End Sub
Sub Button11_Click
	StartActivity("Contact")
End Sub


